List objects
curl --request GET \
--url https://api.fivemesh.io/v1/objects \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fivemesh.io/v1/objects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fivemesh.io/v1/objects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
FiveMesh CDN
List objects
Read CDN objects under an allowed path.
GET
/
objects
List objects
List CDN objects under a workspace path. This endpoint returns object metadata and public delivery URLs only; it does not return file content.
Requires
cdn:read.
Optional folder path to list. Required when the service key is restricted to specific prefixes.
Optional page size from
1 to 1000.Token returned by a previous list response.
curl "https://api.fivemesh.io/v1/objects?path=screenshots&limit=50" \
-H "Authorization: Bearer $FIVEMESH_API_KEY"
{
"success": true,
"objects": [
{
"key": "screenshots/a.png",
"size": 12345,
"contentType": null,
"etag": "3f2a...",
"lastModified": "2026-06-16T11:00:00.000Z",
"metadata": {},
"publicUrl": "https://cdn.fivemesh.io/acme/screenshots/a.png"
}
],
"continuationToken": null,
"requestId": "req_..."
}
Was this page helpful?
⌘I